# Sites API: Pages

## GET /api/sites/pages/{page}

> Retrieves one specific page

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/sites/pages/{page}":{"get":{"tags":["Sites API: Pages"],"summary":"Retrieves one specific page","operationId":"retrievePage","parameters":[{"name":"page","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/sites/pages/{page}

> Checks for the existence of one specific page

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/sites/pages/{page}":{"head":{"tags":["Sites API: Pages"],"summary":"Checks for the existence of one specific page","operationId":"assertPage","parameters":[{"name":"page","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/sites/pages/collect

> Collects the list of pages that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectPages":{"type":"object","properties":{"ObjectId":{"type":"string","format":"uuid","nullable":true},"ParentPageId":{"type":"string","format":"uuid","nullable":true},"SiteId":{"type":"string","format":"uuid","nullable":true},"IsAccessDenied":{"type":"boolean","nullable":true},"IsHidden":{"type":"boolean","nullable":true},"IsNewTab":{"type":"boolean","nullable":true},"IsNullNavigateUrl":{"type":"boolean","nullable":true},"AuthorName":{"type":"string","nullable":true},"ContentControl":{"type":"string","nullable":true},"ContentLabels":{"type":"string","nullable":true},"Hook":{"type":"string","nullable":true},"LastChangeType":{"type":"string","nullable":true},"LastChangeUser":{"type":"string","nullable":true},"NavigateUrl":{"type":"string","nullable":true},"ObjectType":{"type":"string","nullable":true},"PageIcon":{"type":"string","nullable":true},"PageSlug":{"type":"string","nullable":true},"PageType":{"type":"string","nullable":true},"ParentPageSlug":{"type":"string","nullable":true},"ParentPageType":{"type":"string","nullable":true},"SiteDomain":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Sequence":{"type":"integer","format":"int32","nullable":true},"AuthorDateSince":{"type":"string","format":"date-time","nullable":true},"AuthorDateBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PageModel":{"type":"object","properties":{"ObjectId":{"type":"string","format":"uuid","nullable":true},"PageId":{"type":"string","format":"uuid"},"ParentPageId":{"type":"string","format":"uuid","nullable":true},"SiteId":{"type":"string","format":"uuid","nullable":true},"IsAccessDenied":{"type":"boolean"},"IsHidden":{"type":"boolean"},"IsNewTab":{"type":"boolean"},"AuthorName":{"type":"string","nullable":true},"ContentControl":{"type":"string","nullable":true},"ContentLabels":{"type":"string","nullable":true},"Hook":{"type":"string","nullable":true},"LastChangeType":{"type":"string","nullable":true},"LastChangeUser":{"type":"string","nullable":true},"NavigateUrl":{"type":"string","nullable":true},"ObjectType":{"type":"string","nullable":true},"PageIcon":{"type":"string","nullable":true},"PageSlug":{"type":"string","nullable":true},"PageType":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Sequence":{"type":"integer","format":"int32"},"AuthorDate":{"type":"string","format":"date-time","nullable":true},"LastChangeTime":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/sites/pages/collect":{"post":{"tags":["Sites API: Pages"],"summary":"Collects the list of pages that match specific criteria","operationId":"collectPages","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectPages"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectPages"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectPages"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectPages"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PageModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PageModel"}}}}}}}}}}
```

## POST /api/sites/pages/count

> Counts the pages that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountPages":{"type":"object","properties":{"ObjectId":{"type":"string","format":"uuid","nullable":true},"ParentPageId":{"type":"string","format":"uuid","nullable":true},"SiteId":{"type":"string","format":"uuid","nullable":true},"IsAccessDenied":{"type":"boolean","nullable":true},"IsHidden":{"type":"boolean","nullable":true},"IsNewTab":{"type":"boolean","nullable":true},"IsNullNavigateUrl":{"type":"boolean","nullable":true},"AuthorName":{"type":"string","nullable":true},"ContentControl":{"type":"string","nullable":true},"ContentLabels":{"type":"string","nullable":true},"Hook":{"type":"string","nullable":true},"LastChangeType":{"type":"string","nullable":true},"LastChangeUser":{"type":"string","nullable":true},"NavigateUrl":{"type":"string","nullable":true},"ObjectType":{"type":"string","nullable":true},"PageIcon":{"type":"string","nullable":true},"PageSlug":{"type":"string","nullable":true},"PageType":{"type":"string","nullable":true},"ParentPageSlug":{"type":"string","nullable":true},"ParentPageType":{"type":"string","nullable":true},"SiteDomain":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Sequence":{"type":"integer","format":"int32","nullable":true},"AuthorDateSince":{"type":"string","format":"date-time","nullable":true},"AuthorDateBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/sites/pages/count":{"post":{"tags":["Sites API: Pages"],"summary":"Counts the pages that match specific criteria","operationId":"countPages","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountPages"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountPages"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountPages"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountPages"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/sites/pages/download

> Downloads the list of pages that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectPages":{"type":"object","properties":{"ObjectId":{"type":"string","format":"uuid","nullable":true},"ParentPageId":{"type":"string","format":"uuid","nullable":true},"SiteId":{"type":"string","format":"uuid","nullable":true},"IsAccessDenied":{"type":"boolean","nullable":true},"IsHidden":{"type":"boolean","nullable":true},"IsNewTab":{"type":"boolean","nullable":true},"IsNullNavigateUrl":{"type":"boolean","nullable":true},"AuthorName":{"type":"string","nullable":true},"ContentControl":{"type":"string","nullable":true},"ContentLabels":{"type":"string","nullable":true},"Hook":{"type":"string","nullable":true},"LastChangeType":{"type":"string","nullable":true},"LastChangeUser":{"type":"string","nullable":true},"NavigateUrl":{"type":"string","nullable":true},"ObjectType":{"type":"string","nullable":true},"PageIcon":{"type":"string","nullable":true},"PageSlug":{"type":"string","nullable":true},"PageType":{"type":"string","nullable":true},"ParentPageSlug":{"type":"string","nullable":true},"ParentPageType":{"type":"string","nullable":true},"SiteDomain":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Sequence":{"type":"integer","format":"int32","nullable":true},"AuthorDateSince":{"type":"string","format":"date-time","nullable":true},"AuthorDateBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/sites/pages/download":{"post":{"tags":["Sites API: Pages"],"summary":"Downloads the list of pages that match specific criteria","operationId":"downloadPages","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectPages"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectPages"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectPages"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectPages"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/sites/pages/search

> Searches for the list of pages that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchPages":{"type":"object","properties":{"ObjectId":{"type":"string","format":"uuid","nullable":true},"ParentPageId":{"type":"string","format":"uuid","nullable":true},"SiteId":{"type":"string","format":"uuid","nullable":true},"IsAccessDenied":{"type":"boolean","nullable":true},"IsHidden":{"type":"boolean","nullable":true},"IsNewTab":{"type":"boolean","nullable":true},"IsNullNavigateUrl":{"type":"boolean","nullable":true},"AuthorName":{"type":"string","nullable":true},"ContentControl":{"type":"string","nullable":true},"ContentLabels":{"type":"string","nullable":true},"Hook":{"type":"string","nullable":true},"LastChangeType":{"type":"string","nullable":true},"LastChangeUser":{"type":"string","nullable":true},"NavigateUrl":{"type":"string","nullable":true},"ObjectType":{"type":"string","nullable":true},"PageIcon":{"type":"string","nullable":true},"PageSlug":{"type":"string","nullable":true},"PageType":{"type":"string","nullable":true},"ParentPageSlug":{"type":"string","nullable":true},"ParentPageType":{"type":"string","nullable":true},"SiteDomain":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Sequence":{"type":"integer","format":"int32","nullable":true},"AuthorDateSince":{"type":"string","format":"date-time","nullable":true},"AuthorDateBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PageMatch":{"type":"object","properties":{"PageId":{"type":"string","format":"uuid"},"PageIcon":{"type":"string","nullable":true},"PageTitle":{"type":"string","nullable":true},"PageUrl":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/sites/pages/search":{"post":{"tags":["Sites API: Pages"],"summary":"Searches for the list of pages that match specific criteria","operationId":"searchPages","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchPages"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchPages"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchPages"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchPages"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PageMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PageMatch"}}}}}}}}}}
```

## GET /api/sites/pages-contents/{page}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/sites/pages-contents/{page}":{"get":{"tags":["Sites API: Pages"],"operationId":"retrievePageContent","parameters":[{"name":"page","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## PUT /api/sites/pages-contents/{page}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"PageContentModifyModel":{"type":"object","properties":{"Content":{"$ref":"#/components/schemas/ContentContainer"},"Blocks":{"type":"array","items":{"$ref":"#/components/schemas/BlockContentModel"},"nullable":true},"DeletedBlockIds":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"ContentContainer":{"type":"object","properties":{"Count":{"type":"integer","format":"int32","readOnly":true},"IsEmpty":{"type":"boolean","readOnly":true},"HasItems":{"type":"boolean","readOnly":true},"IsLoaded":{"type":"boolean"},"Languages":{"type":"array","items":{"type":"string"},"nullable":true,"readOnly":true},"Title":{"$ref":"#/components/schemas/ContentContainerItem"},"Summary":{"$ref":"#/components/schemas/ContentContainerItem"},"Description":{"$ref":"#/components/schemas/ContentContainerItem"},"Feedback":{"$ref":"#/components/schemas/ContentContainerItem"},"FeedbackWhenNotSelected":{"$ref":"#/components/schemas/ContentContainerItem"},"Hint":{"$ref":"#/components/schemas/ContentContainerItem"},"Body":{"$ref":"#/components/schemas/ContentContainerItem"}},"additionalProperties":false},"ContentContainerItem":{"type":"object","properties":{"Text":{"type":"array","items":{"$ref":"#/components/schemas/StringStringKeyValuePair"},"nullable":true},"Html":{"type":"array","items":{"$ref":"#/components/schemas/StringStringKeyValuePair"},"nullable":true},"Snip":{"type":"array","items":{"$ref":"#/components/schemas/StringStringKeyValuePair"},"nullable":true},"IsEmpty":{"type":"boolean","readOnly":true},"HasItems":{"type":"boolean","readOnly":true},"Languages":{"type":"array","items":{"type":"string"},"nullable":true,"readOnly":true}},"additionalProperties":false},"StringStringKeyValuePair":{"type":"object","properties":{"Key":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"BlockContentModel":{"type":"object","properties":{"BlockId":{"type":"string","format":"uuid"},"BlockIdNumber":{"type":"integer","format":"int32","nullable":true},"BlockType":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Hook":{"type":"string","nullable":true},"Content":{"$ref":"#/components/schemas/ContentContainer"}},"additionalProperties":false}}},"paths":{"/api/sites/pages-contents/{page}":{"put":{"tags":["Sites API: Pages"],"operationId":"modifyPageContent","parameters":[{"name":"page","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PageContentModifyModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/PageContentModifyModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/PageContentModifyModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PageContentModifyModel"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string","format":"uuid"}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"string","format":"uuid"}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/sites-api-pages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
